#!/bin/sh -e
# This file is part of runit-shutdown which is under the terms of GPL v2+
# Copyright (C) 2005-2006 Alejandro Mery <amery@geeks.cl>

#  /sbin/shutdown [-t sec] [-arkhncfFHP] time [warning-message]

sec=
action=
time=
pidfile=/var/run/shutdown.pid

usage() {
	echo "Usage ${0##*/} [-t sec] [-hr] time"
	exit 1
}

while [ $# -gt 0 ]; do
	case "$1" in
		-r)	action=/sbin/reboot	;;
		-h)	action=/sbin/halt	;;
		-t)	sec=$2; shift	;;
		-*)	echo "Option '$1' not yet supported"; usage ;;
		now)	time=now;;
		*)	echo "only 'now' is supported for now."; usage ;;
	esac
	shift
done
[ -n "$action" -a -n "$time" ] || usage

rm -f $pidfile
( sleep -- ${sec:-5} && exec $action ) &
echo $! > $pidfile
disown

